summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorunknown <msvensson@pilot.blaudden>2007-04-02 10:50:39 +0200
committerunknown <msvensson@pilot.blaudden>2007-04-02 10:50:39 +0200
commit3378a48698a311403651fe9bb83d1dfe80a98d78 (patch)
treeda9c4b945967d94e3b16c2fd56a52699aba69b66 /scripts
parentf249185b6eead7796f15f880a896a7782222db99 (diff)
parent44d4940fcc001a6606c63e8900d9e2bf41ea4e67 (diff)
downloadmariadb-git-3378a48698a311403651fe9bb83d1dfe80a98d78.tar.gz
Merge pilot.blaudden:/home/msvensson/mysql/mysql-5.0
into pilot.blaudden:/home/msvensson/mysql/mysql-5.0-maint mysql-test/mysql-test-run.pl: Auto merged mysql-test/r/create.result: Auto merged mysql-test/r/type_datetime.result: Auto merged sql/field.h: Auto merged sql/item.h: Auto merged sql/item_func.cc: Auto merged sql/item_strfunc.cc: Auto merged sql/item_sum.cc: Auto merged sql/sql_yacc.yy: Auto merged mysql-test/r/gis.result: SCCS merged mysql-test/t/gis.test: SCCS merged
Diffstat (limited to 'scripts')
-rw-r--r--scripts/mysql_install_db.sh28
1 files changed, 11 insertions, 17 deletions
diff --git a/scripts/mysql_install_db.sh b/scripts/mysql_install_db.sh
index 5dd5d86c666..c1a27eb0bc8 100644
--- a/scripts/mysql_install_db.sh
+++ b/scripts/mysql_install_db.sh
@@ -135,6 +135,17 @@ else
fi
fi
+# Check that no previous MySQL installation exist
+if test -f "$ldata/mysql/db.frm"
+then
+ echo "FATAL ERROR: Found already existing MySQL system tables"
+ echo "in $ldata."
+ echo "If you are upgrading from a previous MySQL version you"
+ echo "should run '$bindir/mysql_upgrade', "
+ echo "to upgrade all tables for this version of MySQL"
+ exit 1;
+fi
+
# Find SQL scripts needed for bootstrap
fill_help_tables="fill_help_tables.sql"
create_system_tables="mysql_system_tables.sql"
@@ -181,7 +192,6 @@ then
fi
# Find executables and paths
-mdata=$ldata/mysql
mysqld=$execdir/mysqld
mysqld_opt=""
scriptdir=$bindir
@@ -264,12 +274,6 @@ if test -w / -a ! -z "$user"; then
chown $user $ldata $ldata/mysql $ldata/test;
fi
-# Check is "db" table already exist
-if test ! -f $mdata/db.frm
-then
- db_table_already_exist="yes"
-fi
-
if test -n "$user"; then
args="$args --user=$user"
fi
@@ -322,16 +326,6 @@ then
echo "$bindir/mysqladmin -u root -h $hostname password 'new-password'"
echo "See the manual for more instructions."
- # Print message about upgrading unless we have created a new db table.
- if test -z "$db_table_already_exist"
- then
- echo
- echo "NOTE: If you are upgrading from a previous MySQL verision you "
- echo "should run '$bindir/mysql_upgrade', to make sure all tables have "
- echo "been upgraded for this version of MySQL"
- fi
- echo
-
if test "$in_rpm" = "0"
then
echo "You can start the MySQL daemon with:"